org.keycloak.saml.processing.core.saml.v2.util

## Class StaxWriterUtil

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v2.util.StaxWriterUtil

-     public class StaxWriterUtil
      extends Object

  Utility methods for stax writing
  Since:
    Jan 28, 2013
  Author:
    anil saldhana

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaxWriterUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `writeDSAKeyValueType(XMLStreamWriter writer, DSAKeyValueType type)`
    `static void` | `writeKeyInfo(XMLStreamWriter writer, KeyInfoType keyInfo)` Write the `KeyInfoType`
    `static void` | `writeRSAKeyValueType(XMLStreamWriter writer, RSAKeyValueType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaxWriterUtil

          public StaxWriterUtil()

  - ### Method Detail

    - #### writeKeyInfo

          public static void writeKeyInfo(XMLStreamWriter writer,
                                          KeyInfoType keyInfo)
                                   throws ProcessingException

      Write the `KeyInfoType`
      Parameters:
        `writer` -
        `keyInfo` -
      Throws:
        `ProcessingException`

    - #### writeRSAKeyValueType

          public static void writeRSAKeyValueType(XMLStreamWriter writer,
                                                  RSAKeyValueType type)
                                           throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeDSAKeyValueType

          public static void writeDSAKeyValueType(XMLStreamWriter writer,
                                                  DSAKeyValueType type)
                                           throws ProcessingException

      Throws:
        `ProcessingException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.